Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.navstate
Class WindowNavigationalState

    java.lang.Object
      org.jboss.portal.core.model.portal.navstate.WindowNavigationalState

All Implemented Interfaces:
  java.io.Serializable

    public final class WindowNavigationalState

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 8786 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`WindowNavigationalState(WindowState windowState, Mode mode, StateString contentState)`

Method Summary
`static WindowNavigationalState` | `bilto(WindowNavigationalState oldNS, WindowState windowState, Mode mode, StateString contentState)`
`static WindowNavigationalState` | `create()`
`StateString` | `getContentState()`
`Mode` | `getMode()`
`static Mode` | `getMode(AttributeResolver resolver, java.lang.Object id)`
`static StateString` | `getState(AttributeResolver resolver, java.lang.Object id)`
`WindowState` | `getWindowState()`
`static WindowState` | `getWindowState(AttributeResolver resolver, java.lang.Object id)`
`static void` | `setMode(AttributeResolver resolver, NavigationalStateKey key, Mode mode)`
`static void` | `setMode(AttributeResolver context, java.lang.Object id, Mode mode)`
`static void` | `setState(AttributeResolver resolver, NavigationalStateKey key, StateString state)`
`static void` | `setState(AttributeResolver resolver, NavigationalStateKey key, StateString state, Window window)`
`static void` | `setState(AttributeResolver resolver, java.lang.Object id, StateString state)`
`static void` | `setWindowState(AttributeResolver resolver, NavigationalStateKey key, WindowState windowState)`
`static void` | `setWindowState(AttributeResolver resolver, java.lang.Object id, WindowState windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowNavigationalState

    public WindowNavigationalState(WindowState windowState,
                                   Mode mode,
                                   StateString contentState)

Method Detail

### create

    public static WindowNavigationalState create()

### getWindowState

    public WindowState getWindowState()

### getMode

    public Mode getMode()

### getContentState

    public StateString getContentState()

### getWindowState

    public static WindowState getWindowState(AttributeResolver resolver,
                                             java.lang.Object id)

### setWindowState

    public static void setWindowState(AttributeResolver resolver,
                                      java.lang.Object id,
                                      WindowState windowState)

### setWindowState

    public static void setWindowState(AttributeResolver resolver,
                                      NavigationalStateKey key,
                                      WindowState windowState)

### getMode

    public static Mode getMode(AttributeResolver resolver,
                               java.lang.Object id)

### setMode

    public static void setMode(AttributeResolver context,
                               java.lang.Object id,
                               Mode mode)

### setMode

    public static void setMode(AttributeResolver resolver,
                               NavigationalStateKey key,
                               Mode mode)

### getState

    public static StateString getState(AttributeResolver resolver,
                                       java.lang.Object id)

### setState

    public static void setState(AttributeResolver resolver,
                                java.lang.Object id,
                                StateString state)

### setState

    public static void setState(AttributeResolver resolver,
                                NavigationalStateKey key,
                                StateString state)

### setState

    public static void setState(AttributeResolver resolver,
                                NavigationalStateKey key,
                                StateString state,
                                Window window)

### bilto

    public static WindowNavigationalState bilto(WindowNavigationalState oldNS,
                                                WindowState windowState,
                                                Mode mode,
                                                StateString contentState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD